@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Reddit+Mono:wght@200..900&display=swap');
@import url('https://cdn.jsdelivr.net/npm/@phosphor-icons/web@2.1.1/src/regular/style.css');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary: #a9ff38;
    --secondary: #47daff;
    --accent: #fafafa;
    --light: #ebebeb;
    --mid: #363636;
    --dark: #0a0a0a;
}

html {
    scroll-behavior: smooth;
}

body {
    width: 100%;
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
    background-color: var(--dark);
}

h1,
h2,
h3,
h4,
p,
ul,
ol {
    font-family: 'Inter', sans-serif;
}

a {
    text-decoration: none;
    transition: 300ms ease all;
}

.bg-grid {
    width: 100%;
    height: 100%;
    background-size: 40px 40px;
    background-image:
        linear-gradient(to right, rgba(255, 255, 255, .05) 1px, transparent 1px),
        linear-gradient(to bottom, rgba(255, 255, 255, .05) 1px, transparent 1px);
    mask-image: linear-gradient(to bottom, black 20%, transparent 100%);
    -webkit-mask-image: linear-gradient(to bottom, black 20%, transparent 100%);
    z-index: 0;
    position: fixed;
    /* Alterado de absolute para fixed para persistir no scroll */
    top: 0;
    left: 0;
    pointer-events: none;
    /* Garante que o grid não intercepte cliques nos botões */
}

header {
    width: 100%;
    padding: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--dark);
    position: relative;
    z-index: 20;

    nav {
        width: min(1400px, 95%);
        display: flex;
        justify-content: space-between;
        align-items: center;

        .logo {
            font-family: "Reddit Mono", monospace;
            color: var(--light);
            font-size: 1.25rem;
            font-weight: bold;

            span {
                color: var(--primary);
            }
        }

        .cta-header {
            height: 2rem;
            padding: 0 1.5rem;
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid var(--mid);
            border-radius: 3rem;
            background-color: var(--dark);
            color: var(--light);
            font-family: 'Reddit Mono', monospace;
            text-transform: uppercase;
            transition: 300ms ease all;

            &:hover {
                background-color: var(--secondary);
                color: var(--dark);
                cursor: pointer;
            }
        }
    }
}

main {
    width: 100%;
    flex: 1;
    position: relative;

    .hero {
        width: min(1400px, 95%);
        margin: 0 auto;
        padding: 2rem 0;
        position: relative;
        z-index: 10;

        .badge {
            width: fit-content;
            height: 2rem;
            padding: 0 1rem;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: .5rem;
            border: 1px solid var(--mid);
            border-radius: 3rem;
            background-color: var(--dark);
            color: var(--light);
            font-family: 'Reddit Mono', monospace;
            font-size: .875rem;
            transition: 300ms ease all;

            span {
                width: 0.5rem;
                height: 0.5rem;
                background-color: var(--secondary);
                border-radius: 50%;
                box-shadow: 0 0 .125rem var(--secondary);
                animation: pulse 1000ms infinite ease;
            }
        }

        h1 {
            font-size: 7.5rem;
            text-transform: uppercase;
            font-weight: 900;
            color: var(--light);
            padding-top: 1rem;

            span {
                width: fit-content;
                background: linear-gradient(135deg, var(--primary), var(--secondary));
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
                background-clip: text;
            }
        }

        .lead {
            padding: 2rem 0;
            width: 64ch;
            font-size: 1.5rem;
            color: var(--light);
            font-weight: 200;

            strong {
                font-weight: 700;
            }
        }

        .offer {
            width: fit-content;
            display: flex;
            align-items: center;
            justify-content: start;
            gap: 1rem;

            a {
                height: 4rem;
                width: fit-content;
                padding: 0 2rem;
                border: 1px solid var(--mid);
                background-color: var(--dark);
                color: var(--light);
                font-family: 'Reddit Mono', monospace;
                font-size: 1rem;
                text-transform: uppercase;
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 0.5rem;
                transition: 300ms ease all;

                &:hover {
                    background-color: var(--light);
                    color: var(--dark);
                }

            }

            .cta {
                background-color: var(--secondary);
                color: var(--dark);

                i {
                    display: flex;
                    font-size: 1.5rem;
                    align-items: center;
                    justify-content: start;
                    transition: 300ms ease all;
                }

                &:hover {
                    background-color: var(--light);

                    i {
                        transform: translateX(1rem);
                    }
                }
            }
        }
    }

    .quote {
        width: 100%;
        padding: 10rem 0;
        background-color: var(--dark);
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 2rem;
        position: relative;
        z-index: 20;
        border-top: 1px solid var(--mid);
        border-bottom: 1px solid var(--mid);

        q {
            width: min(1200px, 95%);
            font-size: 4rem;
            color: var(--light);
            text-align: center;
            font-family: 'Inter', sans-serif;
            font-weight: 900;
            text-transform: uppercase;
            line-height: 4.5rem;

            span {
                width: fit-content;
                background: linear-gradient(135deg, var(--primary), var(--secondary));
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
                background-clip: text;
            }
        }

        cite {
            font-family: 'Reddit Mono', monospace;
            color: var(--light);
            font-size: 1rem;
            font-style: normal;
            text-transform: uppercase;

            &::before {
                content: "—— ";
            }

            &::after {
                content: " ——";
            }
        }
    }

    .toc {
        width: min(1400px, 95%);
        position: relative;
        z-index: 20;
        margin: auto;
        padding: 2rem 0;

        h2 {
            width: 9ch;
            font-size: 5rem;
            font-weight: 800;
            letter-spacing: -4px;
            text-transform: uppercase;
            background: linear-gradient(135deg, var(--primary), var(--secondary));
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            background-clip: text;
        }

        .info {
            width: 100%;
            padding: 2rem 0;
            display: flex;
            align-items: center;
            justify-content: space-between;

            p.lead {
                font-size: 1.25rem;
                font-weight: 300;
                color: var(--light);
            }

            .badge {
                width: fit-content;
                height: 2rem;
                padding: 0 1rem;
                display: flex;
                align-items: center;
                justify-content: center;
                gap: .5rem;
                border: 1px solid var(--mid);
                border-radius: 3rem;
                background-color: var(--dark);
                color: var(--light);
                font-family: 'Reddit Mono', monospace;
                font-size: .875rem;
                transition: 300ms ease all;

                span {
                    width: 0.5rem;
                    height: 0.5rem;
                    background-color: var(--secondary);
                    border-radius: 50%;
                    box-shadow: 0 0 .125rem var(--secondary);
                    animation: pulse 1000ms infinite ease;
                }
            }
        }

        .contents {
            width: 100%;
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 1rem;

            .card {
                padding: 2rem;
                border: 1px solid var(--mid);
                display: flex;
                flex-direction: column;
                gap: 1rem;
                transition: 300ms ease all;
                background-color: var(--dark);

                span {
                    font-size: 1.5rem;
                    font-family: 'Reddit Mono', monospace;
                    color: var(--light);
                    transition: 300ms ease all;
                }

                h3 {
                    color: var(--light);
                    font-size: 1.75rem;
                }

                p {
                    font-size: 1.125rem;
                    color: var(--light);
                    font-weight: 300;
                }

                &:hover {
                    background-color: var(--mid);

                    span {
                        color: var(--secondary);
                    }
                }
            }
        }
    }

    .war-room {
        width: min(1400px, 95%);
        margin: auto;
        padding: 2rem 0;
        position: relative;
        z-index: 20;
        display: flex;
        flex-direction: column;
        gap: 1rem;
        border-bottom: 1px solid var(--secondary);

        h2 {
            width: 100%;
            font-size: 5rem;
            font-weight: 800;
            letter-spacing: -4px;
            text-transform: uppercase;
            color: var(--light);

            span {
                background: linear-gradient(135deg, var(--primary), var(--secondary));
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
                background-clip: text;
            }
        }

        .lead {
            font-size: 1.25rem;
            font-weight: 300;
            font-family: 'Inter', sans-serif;
            color: var(--light);

            .logo {
                font-family: 'Reddit Mono', monospace;
                font-weight: bold;
                color: var(--light);

                span {
                    color: var(--primary);
                }

                &::before {
                    content: "<";
                    color: var(--primary);
                }

                &::after {
                    content: "/>";
                    color: var(--primary);
                }
            }
        }

        .cards {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 1rem;
            margin: 2rem 0;

            .card {
                border: 1px solid var(--mid);
                background-color: var(--dark);
                padding: 1rem;
                display: flex;
                flex-direction: column;
                transition: 300ms ease all;

                gap: 1rem;

                h3 {
                    font-size: 1.75rem;
                    color: var(--light);
                    transition: 300ms ease all;
                }

                p {
                    color: var(--light);
                    font-size: 1.125rem;
                    font-weight: 300;
                }

                &:hover {
                    background-color: var(--mid);

                    h3 {
                        color: var(--secondary);
                        letter-spacing: 1px;
                    }
                }
            }
        }
    }

    .cta {
        background-color: var(--dark);
        position: relative;
        z-index: 20;
        margin: auto;
        padding: 2rem 0;

        .contents {
            width: min(1400px, 95%);
            margin: auto;
            padding: 2rem 0;
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 1rem;

            .about {
                grid-column: 1;
                grid-row: 1;
                display: flex;
                flex-direction: column;
                gap: 1rem;

                h2 {
                    width: 10ch;
                    font-size: 5rem;
                    font-weight: 800;
                    letter-spacing: -4px;
                    text-transform: uppercase;
                    color: var(--light);

                    span {
                        background: linear-gradient(135deg, var(--primary), var(--secondary));
                        -webkit-background-clip: text;
                        -webkit-text-fill-color: transparent;
                        background-clip: text;
                    }
                }

                .lead {
                    font-size: 1.25rem;
                    color: var(--light);
                    font-weight: 300;
                }

            }

            .about-list {
                grid-column: 1;
                grid-row: 2;
                display: flex;
                flex-direction: column;
                gap: 0.5rem;

                li {
                    font-size: 1.25rem;
                    color: var(--light);
                    font-weight: 300;
                    list-style-position: inside;
                    color: var(--light);

                    &::marker {
                        color: var(--secondary);
                    }
                }
            }

            .price {
                grid-column: 2;
                grid-row: span 2;
                border: 1px solid var(--mid);
                padding: 2rem;
                display: flex;
                flex-direction: column;
                gap: 1rem;

                div {
                    width: 100%;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;

                    span {
                        width: 50%;
                        color: var(--light);
                        font-family: 'Reddit Mono', monospace;
                        text-transform: uppercase;
                    }

                    .badge {
                        width: fit-content;
                        font-family: 'Reddit Mono', monospace;
                        font-weight: 700;
                        color: var(--dark);
                        background-color: var(--secondary);
                        padding: 0.25rem 1rem;
                    }
                }

                .preco {
                    width: fit-content;
                    font-size: 8rem;
                    line-height: 8rem;
                    font-family: 'Inter', sans-serif;
                    font-weight: 900;
                    background: linear-gradient(135deg, var(--primary), var(--secondary));
                    -webkit-background-clip: text;
                    -webkit-text-fill-color: transparent;
                    background-clip: text;
                }

                .counter {
                    width: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    gap: .5rem;
                    font-family: 'Reddit Mono', monospace;
                    color: var(--secondary);

                    span {
                        width: fit-content;
                    }
                }

                .cta {
                    width: 100%;
                    font-family: 'Reddit Mono', monospace;
                    font-size: 1.25rem;
                    text-align: center;
                    background-color: var(--secondary);
                    color: var(--dark);

                    &:hover {
                        background-color: var(--light);

                        i {
                            transform: translateX(1rem);
                        }
                    }


                }

                .tiny {
                    text-align: center;
                    font-size: 1rem;
                    font-family: 'Reddit Mono', monospace;
                    color: var(--light);
                }
            }
        }
    }
}

footer {
    width: 100%;
    padding: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 1px solid var(--mid);
    gap: .25rem;

    p {
        font-family: 'Reddit Mono', monospace;
        color: var(--light);
        text-align: center;

        a {
            color: var(--secondary);
        }
    }
}

@keyframes pulse {
    0% {
        transform: scale(1);
        filter: brightness(1);
    }

    50% {
        transform: scale(1.1);
        filter: brightness(1.5);
    }

    100% {
        transform: scale(1);
        filter: brightness(1);
    }
}

@media(max-width: 425px) {
    .bg-grid {
        background-size: 20px 20px;
    }

    header nav {
        flex-direction: column;
        gap: 1rem;

        .logo {
            font-size: 1.75rem;
        }
    }

    main {
        .hero {
            padding: 1rem 0;

            h1 {
                font-size: 2.5rem;
            }

            .lead {
                width: 100%;
            }

            .offer {
                width: fit-content;
                margin: auto;
                justify-content: center;
                gap: 0.5rem;

                a {
                    height: 3rem;
                    padding: 0 1rem;
                    font-size: .875rem;
                }
            }
        }

        .quote {
            padding: 4rem 0;

            q {
                font-size: 2rem;
                line-height: 2.5rem;
            }
        }

        .toc {
            padding: 1rem 0;

            h2 {
                font-size: 2.75rem;
                letter-spacing: -2px;
            }

            .info {
                padding: 1rem 0;
                flex-direction: column;
                gap: 1rem;
            }

            .contents {
                grid-template-columns: repeat(1, 1fr);
            }
        }

        .war-room {
            padding: 1rem 0;

            h2 {
                font-size: 2.75rem;
                letter-spacing: -2px;
            }

            .cards {
                grid-template-columns: repeat(1, 1fr);
            }
        }

        .cta {
            padding: 1rem 0;

            .contents {
                padding: 1rem 0;
                grid-template-columns: repeat(1, 1fr);

                .about {
                    grid-column: 1;
                    grid-row: 1;

                    h2 {
                        font-size: 2.75rem;
                        letter-spacing: -2px;
                    }

                    .lead {
                        width: 100%;
                    }
                }

                .about-list {
                    grid-column: 1;
                    grid-row: 3;
                }

                .price {
                    grid-column: 1;
                    grid-row: 2;

                    .preco {
                        font-size: 6rem;
                        line-height: 6rem;
                    }
                }
            }
        }
    }

    footer {
        flex-direction: column;

        p {
            font-size: .875rem;
            color: var(--light);

            a {
                color: var(--secondary);
            }
        }
    }
}

/* Classes para o efeito de revelação no scroll */
.reveal {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 800ms ease, transform 800ms ease;
}

.reveal.active {
    opacity: 1;
    transform: translateY(0);
}

/* Define que os cards dentro de uma seção reveal começam invisíveis e sobem */
.toc.reveal .card {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 600ms ease, transform 600ms ease;
}

/* Quando a seção ativa, aciona a transição dos cards */
.toc.reveal.active .card {
    opacity: 1;
    transform: translateY(0);
}